

Fix some places which were doing

	memcpy(to, from, sizeof(to));
and
	memset(to, 0, sizeof(to));

Found by the Stanford checker.




 drivers/ieee1394/ohci1394.c            |    2 +-
 drivers/isdn/hardware/eicon/maintidi.c |    2 +-
 drivers/net/wan/sdla_chdlc.c           |    2 +-
 drivers/net/wireless/airo.c            |    2 +-
 drivers/scsi/megaraid.c                |    8 ++++----
 fs/cifs/md5.c                          |    2 +-
 net/netrom/nr_route.c                  |    5 +++--
 sound/pci/emu10k1/emufx.c              |    2 +-
 8 files changed, 13 insertions(+), 12 deletions(-)

diff -puN drivers/ieee1394/ohci1394.c~stanford-memcy-size-fixes drivers/ieee1394/ohci1394.c
--- 25/drivers/ieee1394/ohci1394.c~stanford-memcy-size-fixes	2003-05-17 14:09:51.000000000 -0700
+++ 25-akpm/drivers/ieee1394/ohci1394.c	2003-05-17 14:09:51.000000000 -0700
@@ -3165,7 +3165,7 @@ static void ohci_init_config_rom(struct 
 	struct config_rom_ptr cr;
 
 	memset(&cr, 0, sizeof(cr));
-	memset(ohci->csr_config_rom_cpu, 0, sizeof (ohci->csr_config_rom_cpu));
+	memset(ohci->csr_config_rom_cpu, 0, sizeof(*ohci->csr_config_rom_cpu));
 
 	cr.data = ohci->csr_config_rom_cpu;
 
diff -puN drivers/isdn/hardware/eicon/maintidi.c~stanford-memcy-size-fixes drivers/isdn/hardware/eicon/maintidi.c
--- 25/drivers/isdn/hardware/eicon/maintidi.c~stanford-memcy-size-fixes	2003-05-17 14:09:51.000000000 -0700
+++ 25-akpm/drivers/isdn/hardware/eicon/maintidi.c	2003-05-17 14:09:51.000000000 -0700
@@ -116,7 +116,7 @@ diva_strace_library_interface_t* DivaSTr
 	}
 
   pmem += sizeof(*pLib);
-	memset (pLib, 0x00, sizeof(pLib));
+	memset(pLib, 0x00, sizeof(*pLib));
 
 	pLib->Adapter  = Adapter;
 
diff -puN drivers/net/wan/sdla_chdlc.c~stanford-memcy-size-fixes drivers/net/wan/sdla_chdlc.c
--- 25/drivers/net/wan/sdla_chdlc.c~stanford-memcy-size-fixes	2003-05-17 14:09:51.000000000 -0700
+++ 25-akpm/drivers/net/wan/sdla_chdlc.c	2003-05-17 14:09:51.000000000 -0700
@@ -1071,7 +1071,7 @@ static void disable_comm (sdla_t *card)
 		card->tty=NULL;
 		tty_card_map[card->tty_minor]=NULL;
 		state = &rs_table[card->tty_minor];
-		memset(state,0,sizeof(state));
+		memset(state, 0, sizeof(*state));
 	}
 	return;
 }
diff -puN drivers/net/wireless/airo.c~stanford-memcy-size-fixes drivers/net/wireless/airo.c
--- 25/drivers/net/wireless/airo.c~stanford-memcy-size-fixes	2003-05-17 14:09:51.000000000 -0700
+++ 25-akpm/drivers/net/wireless/airo.c	2003-05-17 14:09:51.000000000 -0700
@@ -4838,7 +4838,7 @@ static int airo_get_range(struct net_dev
 	readCapabilityRid(local, &cap_rid);
 
 	dwrq->length = sizeof(struct iw_range);
-	memset(range, 0, sizeof(range));
+	memset(range, 0, sizeof(*range));
 	range->min_nwid = 0x0000;
 	range->max_nwid = 0x0000;
 	range->num_channels = 14;
diff -puN drivers/scsi/megaraid.c~stanford-memcy-size-fixes drivers/scsi/megaraid.c
--- 25/drivers/scsi/megaraid.c~stanford-memcy-size-fixes	2003-05-17 14:09:51.000000000 -0700
+++ 25-akpm/drivers/scsi/megaraid.c	2003-05-17 14:09:51.000000000 -0700
@@ -4664,7 +4664,7 @@ mega_is_bios_enabled(adapter_t *adapter)
 
 	mbox = (mbox_t *)raw_mbox;
 
-	memset(mbox, 0, sizeof(mbox));
+	memset(mbox, 0, sizeof(*mbox));
 
 	memset((void *)adapter->mega_buffer, 0, MEGA_BUFFER_SIZE);
 
@@ -4697,7 +4697,7 @@ mega_enum_raid_scsi(adapter_t *adapter)
 
 	mbox = (mbox_t *)raw_mbox;
 
-	memset(mbox, 0, sizeof(mbox));
+	memset(mbox, 0, sizeof(*mbox));
 
 	/*
 	 * issue command to find out what channels are raid/scsi
@@ -4818,7 +4818,7 @@ mega_support_random_del(adapter_t *adapt
 
 	mbox = (mbox_t *)raw_mbox;
 
-	memset(mbox, 0, sizeof(mbox));
+	memset(mbox, 0, sizeof(*mbox));
 
 	/*
 	 * issue command
@@ -4847,7 +4847,7 @@ mega_support_ext_cdb(adapter_t *adapter)
 
 	mbox = (mbox_t *)raw_mbox;
 
-	memset(mbox, 0, sizeof (mbox));
+	memset(mbox, 0, sizeof(*mbox));
 	/*
 	 * issue command to find out if controller supports extended CDBs.
 	 */
diff -puN fs/cifs/md5.c~stanford-memcy-size-fixes fs/cifs/md5.c
--- 25/fs/cifs/md5.c~stanford-memcy-size-fixes	2003-05-17 14:09:51.000000000 -0700
+++ 25-akpm/fs/cifs/md5.c	2003-05-17 14:09:51.000000000 -0700
@@ -148,7 +148,7 @@ MD5Final(unsigned char digest[16], struc
 	MD5Transform(ctx->buf, (__u32 *) ctx->in);
 	byteReverse((unsigned char *) ctx->buf, 4);
 	memmove(digest, ctx->buf, 16);
-	memset(ctx, 0, sizeof (ctx));	/* In case it's sensitive */
+	memset(ctx, 0, sizeof(*ctx));	/* In case it's sensitive */
 }
 
 /* The four core functions - F1 is optimized somewhat */
diff -puN net/netrom/nr_route.c~stanford-memcy-size-fixes net/netrom/nr_route.c
--- 25/net/netrom/nr_route.c~stanford-memcy-size-fixes	2003-05-17 14:09:51.000000000 -0700
+++ 25-akpm/net/netrom/nr_route.c	2003-05-17 14:09:51.000000000 -0700
@@ -110,7 +110,8 @@ static int nr_add_node(ax25_address *nr,
 				kfree(nr_neigh);
 				return -ENOMEM;
 			}
-			memcpy(nr_neigh->digipeat, ax25_digi, sizeof(ax25_digi));
+			memcpy(nr_neigh->digipeat, ax25_digi,
+					sizeof(*ax25_digi));
 		}
 
 		spin_lock_bh(&nr_neigh_lock);
@@ -387,7 +388,7 @@ static int nr_add_neigh(ax25_address *ca
 			kfree(nr_neigh);
 			return -ENOMEM;
 		}
-		memcpy(nr_neigh->digipeat, ax25_digi, sizeof(ax25_digi));
+		memcpy(nr_neigh->digipeat, ax25_digi, sizeof(*ax25_digi));
 	}
 
 	spin_lock_bh(&nr_neigh_lock);
diff -puN sound/pci/emu10k1/emufx.c~stanford-memcy-size-fixes sound/pci/emu10k1/emufx.c
--- 25/sound/pci/emu10k1/emufx.c~stanford-memcy-size-fixes	2003-05-17 14:09:51.000000000 -0700
+++ 25-akpm/sound/pci/emu10k1/emufx.c	2003-05-17 14:09:51.000000000 -0700
@@ -2206,7 +2206,7 @@ static int snd_emu10k1_fx8010_info(emu10
 	unsigned short fxbus_mask, extin_mask, extout_mask;
 	int res;
 
-	memset(info, 0, sizeof(info));
+	memset(info, 0, sizeof(*info));
 	info->card = emu->card_type;
 	info->internal_tram_size = emu->fx8010.itram_size;
 	info->external_tram_size = emu->fx8010.etram_size;

_
